! 時刻管理 ダミーモジュール
!
module timeset

  ! 種別型パラメタ
  ! Kind type parameter
  !
  use dc_types

  ! 暦と日時の取り扱い
  ! Calendar and Date handler
  !
  use dc_calendar, only: &
    & DC_CAL, &               ! 暦を表現するデータ型.
                              ! Data type for calendar
    & DC_CAL_DATE             ! 日時を表現するデータ型.
                              ! Data type for date and time

  private

  public :: TimesetClockStart
  public :: TimesetClockStop
  public :: TimeN
  public :: DelTime
  public :: InitialDate

  real(DP) :: TimeN   = 0.0d0
  real(DP) :: DelTime = 1.0d0

  type(DC_CAL_DATE), save :: InitialDate

contains

  !----------------------------------------------------------------------------

  subroutine TimesetClockStart( module_name )

    character(*), intent(in ) :: module_name

  end subroutine TimesetClockStart

  !----------------------------------------------------------------------------

  subroutine TimesetClockStop( module_name )

    character(*), intent(in ) :: module_name

  end subroutine TimesetClockStop

  !----------------------------------------------------------------------------

end module timeset
